{
  "type" : "record",
  "name" : "ProteinVariantAnnotation",
  "namespace" : "org.opencb.biodata.models.variant.avro",
  "fields" : [ {
    "name" : "uniprotAccession",
    "type" : [ "null", "string" ],
    "default" : null
  }, {
    "name" : "uniprotName",
    "type" : [ "null", "string" ],
    "default" : null
  }, {
    "name" : "position",
    "type" : "int"
  }, {
    "name" : "reference",
    "type" : [ "null", "string" ]
  }, {
    "name" : "alternate",
    "type" : [ "null", "string" ]
  }, {
    "name" : "uniprotVariantId",
    "type" : [ "null", "string" ]
  }, {
    "name" : "functionalDescription",
    "type" : [ "null", "string" ]
  }, {
    "name" : "substitutionScores",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "Score",
        "fields" : [ {
          "name" : "score",
          "type" : "double"
        }, {
          "name" : "source",
          "type" : "string"
        }, {
          "name" : "description",
          "type" : [ "null", "string" ]
        } ]
      }
    } ]
  }, {
    "name" : "keywords",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ]
  }, {
    "name" : "features",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "ProteinFeature",
        "fields" : [ {
          "name" : "id",
          "type" : [ "null", "string" ]
        }, {
          "name" : "start",
          "type" : "int"
        }, {
          "name" : "end",
          "type" : "int"
        }, {
          "name" : "type",
          "type" : [ "null", "string" ]
        }, {
          "name" : "description",
          "type" : [ "null", "string" ]
        } ]
      }
    } ]
  } ]
}
